/*
    This program uses JavaScript to show that creating a name is not
    the same as creating a binding. In the body of the function, the
           var x = "local variable"
    creates a name whose scope is the whole body of the function.
    In the first alert(x) the name x is not yet bound to any value.
*/

var x = "global variable";

function f()
{
   alert( "The value of x here is = " + x ); //refers to the (currently unbound) local x

   var x = "local variable";

   alert( "The value of x here is = " + x ); //refers to the local x (which now has a value)

   {  
      var x = "new local variable";  //this hides the previous variable x
      alert( "The value of x here is = " + x );
      z = "where is this?"  // not a local variable!
   }
   
   alert( "The value of z here is = " + z ); //refers to a global z
}

// now call the function f()
f();
